All Data Structures Namespaces Files Functions Variables Pages
user_profile.php File Reference

Go to the source code of this file.

## Variables

const | CURSCRIPT 'user_profile'
| $_REQUEST = gstrfilter($_REQUEST)
if($_REQUEST["playerID"]=="") | else
| $result = $db->query("SELECT * FROM {$tablepre}users WHERE username='$uname'")
if(!$db->num_rows($result)) | $udata = $db->fetch_array($result)
| $curuser =false
| $iconarray = get_iconlist($icon)
| $select_icon = $icon
| $winning_rate =$validgames?round($wingames/$validgames*100)."%":'0%'
| $ach =$udata['achievement']
| $n =$udata['username']
if(!valid_achievement($ach)) global | $gamecfg
| for ($i=0;$i<$achievement_count;$i++)

## Variable Documentation

$_REQUEST = gstrfilter($_REQUEST)

Definition at line 8 of file user_profile.php.

$ach =$udata['achievement']

Definition at line 38 of file user_profile.php.

$curuser =false

Definition at line 29 of file user_profile.php.

if (!valid_achievement($ach)) global $gamecfg

Definition at line 40 of file user_profile.php.

$iconarray = get_iconlist($icon)

Definition at line 33 of file user_profile.php.

$n =$udata['username']

Definition at line 39 of file user_profile.php.

$result = $db->query("SELECT * FROM {$tablepre}users WHERE username='$uname'")

Definition at line 25 of file user_profile.php.

$select_icon = $icon

Definition at line 34 of file user_profile.php.

if (!$db->num_rows($result)) $udata = $db->fetch_array($result)

Definition at line 27 of file user_profile.php.

$winning_rate =$validgames?round($wingames/$validgames*100)."%":'0%'

Definition at line 35 of file user_profile.php.

const CURSCRIPT 'user_profile'

Definition at line 3 of file user_profile.php.

if ($_REQUEST["playerID"]=="") else

Initial value:
{
$uname=$_REQUEST["playerID"]
$_REQUEST
$_REQUEST
Definition: user_profile.php:8

Definition at line 23 of file user_profile.php.

for($i=0;$i<$achievement_count;$i++)

Definition at line 47 of file user_profile.php.